feature.h File Reference
`#include "osl/rating/ratingEnv.h"`
`#include "osl/numEffectState.h"`
`#include <string>`

Go to the source code of this file.

## Classes

class | osl::rating::Feature
class | osl::rating::TakeBack
class | osl::rating::TakeBack2
class | osl::rating::Check
class | osl::rating::SendOff
class | osl::rating::Block
struct | osl::rating::CountOpen
class | osl::rating::Open
class | osl::rating::Chase
class | osl::rating::ImmediateAddSupport
class | osl::rating::RookDefense
class | osl::rating::BadLance
class | osl::rating::PawnAttack

## Namespaces

namespace | osl
namespace | osl::rating